class MakeTitleNullableInPosts < ActiveRecord::Migration[7.0]
  def up
    change_column_null :posts, :title, true

    execute <<~SQL
      UPDATE
        posts
      SET
        title = NULL
      WHERE
        title = ''
    SQL
  end

  def down
    execute <<~SQL
      UPDATE
        posts
      SET
        title = ''
      WHERE
        title IS NULL
    SQL

    change_column_null :posts, :title, false
  end
end

